次の方法で共有


App Service Environments - Get Vip Info

App Service Environment に割り当てられた IP アドレスを取得するための説明。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/hostingEnvironments/{name}/capacities/virtualip?api-version=2025-05-01

URI パラメーター

名前 / 必須 説明
name
path True

string

App Service 環境の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

AddressResponse

Azure 操作は正常に完了しました。

Other Status Codes

DefaultErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Get IP addresses assigned to an App Service Environment.

要求のサンプル

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip?api-version=2025-05-01

応答のサンプル

{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments/capacities",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip",
  "properties": {
    "internalIpAddress": null,
    "outboundIpAddresses": [
      "20.112.141.120"
    ],
    "serviceIpAddress": "20.112.141.120",
    "vipMappings": [
      {
        "inUse": false,
        "internalHttpPort": 20003,
        "internalHttpsPort": 20001,
        "serviceName": null,
        "virtualIP": "20.112.141.135"
      },
      {
        "inUse": false,
        "internalHttpPort": 20004,
        "internalHttpsPort": 20002,
        "serviceName": null,
        "virtualIP": "20.112.141.150"
      }
    ]
  }
}

定義

名前 説明
AddressResponse

メインのパブリック IP アドレスと追加の仮想 IP について説明します。

createdByType

リソースを作成した ID の種類。

DefaultErrorResponse

App Service エラー応答。

DefaultErrorResponseError

エラー モデル。

DefaultErrorResponseErrorDetailsItem

詳細なエラー。

systemData

リソースの作成と最後の変更に関連するメタデータ。

VirtualIPMapping

仮想 IP マッピング。

AddressResponse

メインのパブリック IP アドレスと追加の仮想 IP について説明します。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

リソースの種類。

name

string

リソースの名前

properties.internalIpAddress

string

App Service Environment の Virtual Network 内部 IP アドレス (内部負荷分散モードの場合)。

properties.outboundIpAddresses

string[]

アウトバウンド接続に表示される IP アドレス。

properties.serviceIpAddress

string

メインのパブリック仮想IP。

properties.vipMappings

VirtualIPMapping[]

追加の仮想 IP。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service エラー応答。

名前 説明
error

DefaultErrorResponseError

エラー モデル。

DefaultErrorResponseError

エラー モデル。

名前 説明
code

string

プログラムでエラーを識別するための標準化された文字列。

details

DefaultErrorResponseErrorDetailsItem[]

詳細なエラー。

innererror

string

エラーのデバッグに関する詳細情報。

message

string

詳細なエラーの説明とデバッグ情報。

target

string

詳細なエラーの説明とデバッグ情報。

DefaultErrorResponseErrorDetailsItem

詳細なエラー。

名前 説明
code

string

プログラムでエラーを識別するための標準化された文字列。

message

string

詳細なエラーの説明とデバッグ情報。

target

string

詳細なエラーの説明とデバッグ情報。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

VirtualIPMapping

仮想 IP マッピング。

名前 説明
inUse

boolean

仮想 IP マッピングは使用中ですか。

internalHttpPort

integer (int32)

内部 HTTP ポート。

internalHttpsPort

integer (int32)

内部 HTTPS ポート。

serviceName

string

仮想 IP が割り当てられているサービスの名前

virtualIP

string

仮想 IP アドレス。